<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('produits', function (Blueprint $table) {
            $table->id();
            $table->string('codeProduit');
            $table->string('nomProduit');
            $table->string('description');
            $table->string('statut');
            $table->bigInteger('categorieId')->unsigned()->nullable();
            $table->foreign('categorieId')->references('id')->on('categories');
            $table->float('prix');
            $table->integer('quantite');
            $table->string('image');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('produits');
    }
};
